# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /opt/recipe, last modified Mon Dec  5 23:06:28 2022
# ------------------------------------------------

package:
  name: fwdpy11
  version: 0.19.1
source:
  sha256: a73535f4721a392748d179b318fc70597d530bac2122f1af2716fd41235cf22c
  url: https://files.pythonhosted.org/packages/e7/2a/40eb05135ae9f0d0e6a274fb5e8ee09c3b922bd72f06d330696c1f2a9938/fwdpy11-0.19.1.tar.gz
build:
  number: '0'
  string: py39h8c02b11_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_11
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2022.9.24 ha878542_0
    - cmake 3.25.1 h816a3e0_0
    - expat 2.5.0 h27087fc_0
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_11
    - gxx_impl_linux-64 10.4.0 h5231bdf_19
    - gxx_linux-64 10.4.0 h6e491c6_11
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.19.3 h08a2579_0
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libcurl 7.86.0 h2283fc2_1
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnghttp2 1.47.0 hff17c54_1
    - libsanitizer 10.4.0 h5246dfb_19
    - libssh2 1.10.0 hf14f497_3
    - libstdcxx-devel_linux-64 10.4.0 hd38fd1e_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuv 1.44.2 h166bdaf_0
    - libzlib 1.2.13 h166bdaf_4
    - make 4.3 hd18ef5c_1
    - ncurses 6.3 h27087fc_1
    - openssl 3.0.7 h0b41bf4_1
    - rhash 1.4.3 h166bdaf_0
    - sysroot_linux-64 2.12 he073ed8_15
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h6239696_4
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - attrs 22.1.0 pyh71513ae_1
    - binutils_impl_linux-64 2.39 he00db2b_1
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.9.24 ha878542_0
    - gcc_impl_linux-64 12.2.0 hcc96c02_19
    - gsl 2.7 he838d99_0
    - importlib-metadata 5.1.0 pyha770c72_0
    - importlib_resources 5.10.0 pyhd8ed1ab_0
    - jsonschema 4.17.3 pyhd8ed1ab_0
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libblas 3.9.0 16_linux64_openblas
    - libcblas 3.9.0 16_linux64_openblas
    - libffi 3.4.2 h7f98852_5
    - libgcc-devel_linux-64 12.2.0 h3b97bd3_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgfortran-ng 12.2.0 h69a702a_19
    - libgfortran5 12.2.0 h337968e_19
    - libgomp 12.2.0 h65d4601_19
    - liblapack 3.9.0 16_linux64_openblas
    - libnsl 2.0.0 h7f98852_0
    - libopenblas 0.3.21 pthreads_h78a6416_3
    - libsanitizer 12.2.0 h46fd767_19
    - libsqlite 3.40.0 h753d276_0
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - numpy 1.23.5 py39h3d75532_0
    - openblas 0.3.21 pthreads_h320a7e8_3
    - openssl 3.0.7 h0b41bf4_1
    - packaging 21.3 pyhd8ed1ab_0
    - pip 22.3.1 pyhd8ed1ab_0
    - pkg-config 0.29.2 h36c2ea0_1008
    - pkgconfig 1.5.5 pyhd8ed1ab_4
    - pkgutil-resolve-name 1.3.10 pyhd8ed1ab_0
    - pybind11 2.9.1 py39h1a9c180_0
    - pybind11-global 2.9.1 py39h1a9c180_0
    - pyparsing 3.0.9 pyhd8ed1ab_0
    - pyrsistent 0.19.2 py39hb9d737c_0
    - python 3.9.15 hba424b6_0_cpython
    - python_abi 3.9 3_cp39
    - readline 8.1.2 h0f457ee_0
    - rust 1.65.0 h30be4a0_0
    - rust-std-x86_64-unknown-linux-gnu 1.65.0 hc1431ca_0
    - setuptools 65.5.1 pyhd8ed1ab_0
    - setuptools-scm 7.0.5 pyhd8ed1ab_1
    - setuptools_scm 7.0.5 hd8ed1ab_1
    - svgwrite 1.4.3 pyhd8ed1ab_0
    - sysroot_linux-64 2.12 he073ed8_15
    - tk 8.6.12 h27826a3_0
    - tomli 2.0.1 pyhd8ed1ab_0
    - tskit 0.5.3 py39h2ae25f5_1
    - typing-extensions 4.4.0 hd8ed1ab_0
    - typing_extensions 4.4.0 pyha770c72_0
    - tzdata 2022g h191b570_0
    - wheel 0.38.4 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - zipp 3.11.0 pyhd8ed1ab_0
  run:
    - attrs
    - black
    - demes >=0.2
    - gsl >=2.7,<2.8.0a0
    - intervaltree
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - numpy >=1.20
    - numpy >=1.23.5,<2.0a0
    - openblas
    - python >=3.9,<3.10.0a0
    - python_abi 3.9.* *_cp39
    - scipy
    - tskit >=0.5
test:
  imports:
    - fwdpy11
about:
  home: http://pypi.python.org/pypi/fwdpy11
  license: GNU General Public License v3 or later (GPLv3+)
  license_file: COPYING
  summary: Forward-time population genetic simulation in Python.
extra:
  copy_test_source_files: true
  final: true
